Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff King <peff@peff.net>2009-04-03 23:33:59 +0400
committerJunio C Hamano <gitster@pobox.com>2009-04-09 09:42:16 +0400
commit1b19ccd236e3369ac77d74ded207406ffbf9feca (patch)
tree3893ed847c3f7f6c74c7fa7d424d9707f9b64938 /t/t9700-perl-git.sh
parent499c29394ce1ead3ebd29b0d3c8014cdb7a32e63 (diff)
tests: skip perl tests if NO_PERL is defined
These scripts all test git programs that are written in perl, and thus obviously won't work if NO_PERL is defined. We pass NO_PERL to the scripts from the building Makefile via the GIT-BUILD-OPTIONS file. Signed-off-by: Jeff King <peff@peff.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t9700-perl-git.sh')
-rwxr-xr-xt/t9700-perl-git.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t9700-perl-git.sh b/t/t9700-perl-git.sh
index 4a501c6847..b4ca244626 100755
--- a/t/t9700-perl-git.sh
+++ b/t/t9700-perl-git.sh
@@ -6,6 +6,11 @@
test_description='perl interface (Git.pm)'
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping perl interface tests, perl not available'
+ test_done
+fi
+
perl -MTest::More -e 0 2>/dev/null || {
say "Perl Test::More unavailable, skipping test"
test_done